<?PHP
/**
 * Constains lists for categorizing misspelled sizes.
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * Provides lists for categorizing misspelled sizes.
 */
final class MDConcLengths implements MDImporterConcordanceListInterface {

    private const LENGTHS_LIST = [
        "cn" => "cm",
        ",cm" => "cm",
        "5cm" => "cm",

        "inch" => "in",
        "Zoll" => "in",
        "zoll" => "in",
    ];

    /**
     * Require a function for getting the concordance target.
     *
     * @param string $input Input string.
     *
     * @return string
     */
    public static function getConcordanceTarget(string $input):string {

        if (!isset(self::LENGTHS_LIST[$input])) {
            throw new MDImporterMissingConcordance("Unknown length type: " . $input);
        }

        return self::LENGTHS_LIST[$input];

    }
}
